Update weirdness: Plugins updated but still show updates needed

This morning 2 WPMU Dev plugins were shown as needing to be updated. I updated them, but they still show as needing updates.
Inside the Wordpress Dashboard Updates section it says:

Ultimate Branding
You have version 1.8.0.4 installed. Update to 1.8.0.4

WPMU DEV Videos
You have version 1.5 installed. Update to 1.5.

I'm hosting on WP Engine. Site seems to be working fine, but this update oddness is making me paranoid. It's a live production site for my largest client.

Thanks,
Richard